package com.ruoyi.zbf.service;


import com.ruoyi.common.core.mybatisplus.core.IServicePlus;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.zbf.bo.ZbfProjectSectionQueryBo;
import com.ruoyi.zbf.domain.ZbfProjectSection;

import java.util.Collection;
import java.util.List;

/**
 * 总包方项目标段Service接口
 *
 * @author ruoyi
 * @date 2025-02-17
 */
public interface IZbfProjectSectionService extends IServicePlus<ZbfProjectSection> {
    /**
     * 查询单个
     * @return
     */
    ZbfProjectSection queryById(Long id);

    /**
     * 查询列表
     */
    TableDataInfo<ZbfProjectSection> queryPageList(ZbfProjectSectionQueryBo bo);

    /**
     * 查询列表
     */
    List<ZbfProjectSection> queryList(ZbfProjectSectionQueryBo bo);

    /**
     * 根据新增业务对象插入总包方项目标段
     * @param bo 总包方项目标段新增业务对象
     * @return
     */
    Boolean insert(ZbfProjectSection bo);

    /**
     * 根据编辑业务对象修改总包方项目标段
     * @param bo 总包方项目标段编辑业务对象
     * @return
     */
    Boolean update(ZbfProjectSection bo);

    /**
     * 校验并删除数据
     * @param ids 主键集合
     * @param isValid 是否校验,true-删除前校验,false-不校验
     * @return
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
